*-----------------------------------------------------------------------*
*          Replacement Rates - Main Do file
*-----------------------------------------------------------------------*
*same working folder as in SS wealth section of the code
global working "..."
global annuity "..."

*Run all pension wealth and social security wealth codes!

*--Sources of data called within this folder
*"$working\earnings_path.dta" - comes from "earnings file 70.do" in social_security_wealth code
*"$working\SSB for RR.dta" - comes from "merge.do" in social_security_wealth codes

*Run annuity_rate_calculations.mlx in Matlab to find annuity rates that will be used to annuitize retirement wealth to calculate numerator of RR

*Using restricted earnings records, find the average of top 5 earnings after age 45 before chosen retirement age (62,65,FR or 70)
*only for those with matched records
do "Pre-retirement earnings.do"

*Using SSB calculations, back out AIME for each person
*merge average top 5 earnings, and impute for those without matched records
do "AIME for RR.do"

*merge all wealth variables with pre-retirement earnings (top 5 and AIME)
*calculate RR using different definitions
do "replacement rate.do"

