
import excel "$data\CohLifeTables_F_Alt2_TR2023.xlsx", sheet("CohLifeTables") cellrange(A6:C24126) firstrow clear

gen lx=1-qx
gen clx=lx if x==0
sort Year x

*cumulative probability of survival
forvalues i=1/119{
replace clx=clx[_n-1]*lx if x==`i'
}

rename Year rabyear
gen ragender=2
rename x age
replace age=age+1
keep rabyear ragender age clx
save "$working\mortf.dta",replace

import excel "$data\CohLifeTables_M_Alt2_TR2023.xlsx", sheet("CohLifeTables") cellrange(A6:C24126) firstrow clear

gen lx=1-qx
gen clx=lx if x==0
sort Year x

*cumulative probability of survival
forvalues i=1/119{
replace clx=clx[_n-1]*lx if x==`i'
}

rename Year rabyear
gen ragender=1
rename x age
replace age=age+1
keep rabyear ragender age clx
save "$working\mortm.dta",replace
append using "$working\mortf.dta"
save "$working\mort.dta",replace