********************************************************************************
*           PENSION WEALTH - MAIN CODE                                         *
********************************************************************************
clear
*create mortality tables 
global rawHRS "..."
global do "...\main_codes"
global folder "..."
global rand  "..."
global GST "..."


do "$do\create mortality tables.do"
cd "$do\pension"

*use GST values from 1992-2010
*calculate DB and DC wealth from 2012 to 2020
forvalues i=2012(2)2020{
	do "DB wealth `i'.do"
	do "DC wealth `i'.do"
}


*find and flag non-respondent spouses for each wave
do "missing spouse.do"

*merge with GST and turn into household level
do "Merge.do"